import request from '@/utils/request'

// 查询菜单配置列表
export function listWxMenConfig(query) {
  return request({
    url: '/wxsetting/wxMenConfig/list',
    method: 'get',
    params: query
  })
}

// 查询菜单配置详细
export function getWxMenConfig(id) {
  return request({
    url: '/wxsetting/wxMenConfig/' + id,
    method: 'get'
  })
}

// 新增菜单配置
export function addWxMenConfig(data) {
  return request({
    url: '/wxsetting/wxMenConfig',
    method: 'post',
    data: data
  })
}

// 修改菜单配置
export function updateWxMenConfig(data) {
  return request({
    url: '/wxsetting/wxMenConfig',
    method: 'put',
    data: data
  })
}

// 删除菜单配置
export function delWxMenConfig(id) {
  return request({
    url: '/wxsetting/wxMenConfig/' + id,
    method: 'delete'
  })
}
